Create project task
curl --request POST \
--url https://api.recoupable.dev/api/projects/{projectId}/tasks \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "Distribution portal access",
"description": "Create a read only login for your distributor dashboard and share it with us.",
"due_date": "2026-09-12",
"assignee_account_id": "0f0e6d8a-1b2c-4d3e-8f90-a1b2c3d4e5f6"
}
'import requests
url = "https://api.recoupable.dev/api/projects/{projectId}/tasks"
payload = {
"title": "Distribution portal access",
"description": "Create a read only login for your distributor dashboard and share it with us.",
"due_date": "2026-09-12",
"assignee_account_id": "0f0e6d8a-1b2c-4d3e-8f90-a1b2c3d4e5f6"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Distribution portal access',
description: 'Create a read only login for your distributor dashboard and share it with us.',
due_date: '2026-09-12',
assignee_account_id: '0f0e6d8a-1b2c-4d3e-8f90-a1b2c3d4e5f6'
})
};
fetch('https://api.recoupable.dev/api/projects/{projectId}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"due_date": "2023-12-25",
"assignee_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment_count": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}Projects
Create Project Task
Add a task to a project. New tasks are always incomplete; set completed with the update endpoint instead.
POST
/
api
/
projects
/
{projectId}
/
tasks
Create project task
Authorizations
apiKeyAuthbearerAuth
Your Recoup API key. Learn more.
Path Parameters
The project's UUID.
Body
application/json
The task to create.
Was this page helpful?
